View Issue Details

IDProjectCategoryView StatusLast Update
0003322TechDraw[FreeCAD] Bugpublic2018-10-16 22:43
Reportergalou_breizhAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003322: Wrong dimension placement with parallel inclined lines
DescriptionI wanted to cote two parallel lines which are not along the x or y directions with the "Length" cotation. The value of the cotation is correct but its default position is wrong, so that the shown cotation doesn't correspond to the shown value. A workaround is to move the text until the cotation is correct.

Cf. https://forum.freecadweb.org/viewtopic.php?p=210585.
Steps To Reproduce- Select two parallel lines which are not along the x- or y-axes.
- Click on the Length cotation.
- Observe that the cotation is not correct.

Expected results:
- The cotation should indicate the distance between the parallel lines.
- In any case should the value shown (number) correspond to what is indicated by the cotation (it seems that the value doesn't update if the cotation moves).
Additional InformationOS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13042 (Git)
Build type: None
Branch: master
Hash: 9a215440b8a0140dbc2e8778e66cf63feeac7114
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
TagsTechDraw

Activities

galou_breizh

2018-01-22 08:03

reporter  

real_value.png (34,565 bytes)
real_value.png (34,565 bytes)
selected_edges.png (12,759 bytes)
selected_edges.png (12,759 bytes)

wandererfan

2018-01-22 21:26

developer   ~0010820

another issue around extension line orientation: [url=https://forum.freecadweb.org/viewtopic.php?t=22014]TechDraw Forum[/url].

Might be able to solve both at the same time.

wandererfan

2018-01-22 21:33

developer   ~0010821

If I understand this issue correctly(?): In using an Edge-Edge Length Dimension, the initial placement of the extension lines appears as a Point-Point Length Dimension across the diameter of the polygon. The Dimension text is the correct value for an Edge-Edge dimension, but one of the extension lines should use the other end of the Edge as it's start point.

If the Dimension text is dragged out of the Polygon, the appearance corrects itself.

Issue History

Date Modified Username Field Change
2018-01-22 08:03 galou_breizh New Issue
2018-01-22 08:03 galou_breizh File Added: after_text_repositioning.png
2018-01-22 08:03 galou_breizh File Added: default_cotation_position.png
2018-01-22 08:03 galou_breizh File Added: real_value.png
2018-01-22 08:03 galou_breizh File Added: selected_edges.png
2018-01-22 08:03 galou_breizh Tag Attached: TechDraw
2018-01-22 21:26 wandererfan Note Added: 0010820
2018-01-22 21:33 wandererfan Note Added: 0010821
2018-01-23 12:45 wandererfan Status new => confirmed
2018-01-23 12:45 wandererfan Product Version => 0.17
2018-01-23 12:45 wandererfan Target Version => 0.18
2018-10-16 22:42 wandererfan Status confirmed => resolved
2018-10-16 22:42 wandererfan Resolution open => fixed
2018-10-16 22:42 wandererfan Fixed in Version => 0.18
2018-10-16 22:43 wandererfan Assigned To => wandererfan
2018-10-16 22:43 wandererfan Status resolved => closed